# Get-RASAVDHostPoolAssignment

### NAME

Get-RASAVDHostPoolAssignment\ <br>

### SYNOPSIS

Retrieves the Azure Virtual Desktop Host Pool Assignment List.\ <br>

### SYNTAX

Get-RASAVDHostPoolAssignment \[\[-[Id](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolAssignment.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolAssignment.html#CommonParameters)*>*]\
\
Get-RASAVDHostPoolAssignment \[\[-[Name](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolAssignment.html#Name)] *\<string>*] \[\[-[SiteId](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolAssignment.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHostPoolAssignment.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the Azure Virtual Desktop Host Pool Assignment List within an Azure Virtual Desktop Host Pool.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the Azure Virtual Desktop Host Pool for which to retrieve the information.\
\
This must be the actual AVD Host Pool name used in the RAS farm.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the AVD Host Pool information.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a Azure Virtual Desktop Host Pool for which to retrieve the information.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[Assignment\[\]](file:///Users/anastasiasharapova/Downloads/Parallels-RAS-v19-4-PowerShell-Guide/RASAdmin/types/Assignment\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDHostPoolAssignment -Id 1 -ObjType MFA\
\
Retrieves the AVD Host Pool Assignment List within the AVD Host Pool Settings specified by ID.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDHostPoolAssignment -Name "Logon1" -ObjType MFA\
\
Retrieves the AVD Host Pool Assignment List within the AVD Host Pool Settings specified by Name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdhostpoolassignment-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
